### File

`projects/app-base-library/src/lib/angular/modules/user/user.component.ts`

### Implements

`OnInit`

### Metadata

selector | `ab-user`

template

    <div class="well"><h3>user.component placeholder</h3></div>

### Index

###### Methods

- ngOnInit

###### Inputs

- options

### Constructor

`constructor()`
Defined in projects/app-base-library/src/lib/angular/modules/user/user.component.ts:12

### Inputs

`options` | Type: `any`
Defined in projects/app-base-library/src/lib/angular/modules/user/user.component.ts:12

### Methods

ngOnInit
`ngOnInit()`
Defined in projects/app-base-library/src/lib/angular/modules/user/user.component.ts:18
Returns : `void`

    import {Component, Input, OnInit, EventEmitter} from '@angular/core';

    @Component({
        selector: 'ab-user',
        template: `
            <div class="well"><h3>user.component placeholder</h3></div>
        `,
        styles: [],
        providers: []
    })
    export class UserComponent implements OnInit {
        @Input() options: any;

        constructor() {

        }

        ngOnInit() {

        }

    }

Legend
Html element
Component
Html element with directive

# results matching ""

# No results matching ""